textures/ck/sky1
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sun	134 176 80 25 180 86
	q3map_surfacelight 120
	q3map_lightimage env/swamp1_up.tga
	qer_editorimage textures/skies/toxicsky.tga

	skyparms env/swamp1 - -
	
	//{
	//	map textures/ck/treecloud.tga
	//	alphafunc GT128
	//	blendfunc blend
	//	tcMod Turb 0 .05 0 .25
	//	tcMod scale 3 3
	//	depthwrite
	//}
	//{	map textures/liquids/pool3d_5.tga
	//	blendFunc GL_dst_color GL_one
	//	rgbgen identity
	//	tcmod scale .5 .5
	//	tcmod scroll 0 -.5
	//	tcMod turb 0 .05 0 1
	//	depthfunc equal
	//}		
	
}

textures/ck/smalllightgothic
{
	qer_editorimage textures/base_light/light1.tga
	q3map_lightimage textures/base_light/light1.blend.tga
	q3map_surfacelight 500
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/light1.blend.tga
		rgbGen wave sin 0.25 0.25 0 .2
		blendFunc GL_ONE GL_ONE
	}
}

textures/ck/bubble
{
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	deformvertexes wave 32 sin  0 1 0 .5
	deformvertexes autosprite2
	cull none
	
	{
		map textures/ck/bubble.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		tcMod scroll 0 1
	}
	{
		map textures/ck/bubble.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		tcMod scroll 0 1.3
	}

	//{
	//	map $lightmap
	//	blendfunc gl_dst_color gl_zero
	//}
}


textures/ck/weed
{
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	deformvertexes wave  64 sin  0 1 0 .5
	cull none
	qer_editorimage textures/ck/weed02.tga
	{
		map textures/ck/weed02.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
	}

	//{
	//	map $lightmap
	//	blendfunc gl_dst_color gl_zero
	//}
}

textures/ck/bouncepad1q1metal7_99
{

	
	surfaceparm nodamage
	qer_editorimage textures/sfx/bouncepad1q1metal7_99.tga	
	

	
	{
		map textures/sfx/bouncepad1q1metal7_99.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

	
}

textures/ck/db_sand_cobbles_bounce
{

	q3map_surfacelight 500
	q3map_lightimage textures/sfx/jumppadsmall.tga
	surfaceparm nodamage
	qer_editorimage textures/ck/db_sand_cobbles_bounce.tga	
	

	
	{
		map textures/ck/db_sand_cobbles_bounce.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

	
}

textures/ck/bloodriver
//	*********************************************************
//	*      flowing blood >:)	 			*
//	*********************************************************
	
	{
		
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		q3map_surfacelight 25
		cull disable
		
	
		{
			map textures/ck/bloodriver.tga
			rgbgen identity
			blendFunc GL_one GL_one
			tcmod scale .5 .5
			tcMod turb 0 .05 0 .25
			tcmod scroll 0 -.15

		}
		{ 
			map textures/liquids/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll 0 -.15
		}
	
			

		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
//	END
	}

textures/ck/aztec1
{
	{
		map textures/gothic_floor/q1metal7_99.tga
		rgbgen identity
	}
	{
		map textures/ck/aztec1.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/ck/aztec2-red
{
	qer_editorimage textures/ck/aztec2.tga
	{
		map textures/gothic_floor/blocks17floor2.tga
		rgbgen identity
	}
	{
		map textures/ck/aztec2.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
}
